Post by erzwei » Wed Nov 02, 2016 3:45 pm

Hallo Zusammen,

folgendes habe ich schon einmal versucht zu posten, aber es ist nicht im Forum aufgetaucht - hier also der zweite Versuch:

Ich betreibe einen kleinen Shop in Version 1.5.6.4.
Ich möchte mit Amazon Payments und Paypal Express zwei neue Zahlarten integrieren. Dabei habe ich mir überlegt, das ein Upgrade auf das aktuelle OC Sinn machen würde. Ich fürchte nach einigem lesen, dass es einer Neuinstallation gleich kommt.

Da ich im Moment mit dem Shop eigentlich zufrieden bin und das Weinachtsgeschäft vor der Tür steht, habe ich mir jetzt gedacht, ich baue das erstmal in meine Version ein (was ja auch was kostet).

Lohnt sich das oder gibt es gute Gründe die Version zu wechseln?

Danke und Gruß

erzwei

Newbie

Posts

Joined
Mon Oct 31, 2016 4:47 pm

Post by OSWorX » Sat Nov 05, 2016 5:45 pm


Image


User avatar
Newbie

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by IP_CAM » Sun Nov 06, 2016 8:41 am

Also, wenn Dir knapp 14 Dollar für ein vollständiges responsives fast original OC-2 Theme, sogar mit eingebautem OcMod, nicht zu teuer ist, dann kannst Du Dir mit sehr wenig zusätzlichem Aufwand Deinen Shop so aufrüsten, dass ihn fast nicht mehr von OC-2 unterscheidet, und er noch eine ganze Zeitlang bestens funzt. Mit einer einzigen Ausnahme, er funktioniert ja bereits richtig und fehlerfrei, im gegensatz zu den bereits 11 OC-2 Subversionen, und Du musst erst noch nicht auf die Dir bekannte Administration verzichten:

Oc2 Theme to version 1.5
https://www.opencart.com/index.php?rout ... on_id=2364

hier zu sehen, hoffentlich ziemlich fehlerfrei, ist auch schon etwas länger her, da ich meistens mit dem ganz unten verlinkten Test Shop beschäftigt bin.
http://www.velomech.ch

Einfach, um es anzumerken, auch wenn es auch nicht Allen hier gefallen mag ! ;D :D ;D
Gruss
Ernst

Ernie's OpenShop 1.75 with responsive Bootstrap Themes:
http://www.bigmax.ch - http://www.hitline.info - http://www.openshop.li
Image


User avatar
Newbie

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by IP_CAM » Sat Jan 14, 2017 2:06 pm

bootstrap_3.jpg

bootstrap_3.jpg (33.03 KiB) Viewed 602 times

Ergänzungsweise möchte ich noch hinzufügen, dass sich das kostenlose Bootstrap-3
Thema aussordentlich gut für OpenCart v.1.5.6.4 / 5 Versionen eignet, ich benutze
es seit einigen Wochen, bastle täglich noch daran rum, und bin begeistert davon! ;)

Und es ist die mit Abstand einfachste und erst noch kostenlose Möglichkeit, sich die
neue responsive OC Display Technologie zuzulegen, fast schon genau so aussehend
wie das neuste Model, sich aber trotzdem vorderhand zumindest noch noch auf das
bewährte und einwandfrei funktionierende 1.5.6.x -er Engine verlassen zu können. :-*

Allerdings kann es erforderlich werden, einige VqMod's, die ihre Arbeit im Bereich des
Thema's abwickeln, ggfls. etwas anzupassen, da Responsivenes auch bedeutet, dass
die vorgängigen CSS+ HTML 1.5er Rahmen-Aufbauten durch modernere CLASS
Stylesheet und Bootstrap- Kommandos abgelöst, bzw, ersetzt werden müssen, damit alles optisch perfekt passt. Einfach, um es noch zu erwähnen. :D

Der Link zum aktuellen Test Shop is unten in meinem Anhang.
Mein etwas verfeinerter Stylesheet +Bootstrap CSS kann auf Wunsch gern
angefordert werden. Aber da die OC-User-Notifikation, wie so Vieles Andere hier,
zurzeit ja nicht funzt, müsste man mich über die Kontakt.-Adresse meines Test Shop
ankicken...
Gruss ;)
Ernst
---
OC Bootstrap - Opencart Bootstrap 3 Theme - Front End
✔ Tested in OpenCart 1.5.6.*, 1.5.5.*, 1.5.4.*, 1.5.3.*, 1.5.2.*
✔ Uses Bootstrap 3.1.1
✔ Upgraded JQuery 1.11, Nivo Slider and Colorbox
https://www.opencart.com/index.php?rout ... n_id=14631
Bild Front-top und Produktseite responsiv:

Attachments

bootstrap_3_theme_oc_156.jpg

bootstrap_3_theme_oc_156.jpg (244.62 KiB) Viewed 603 times


Ernie's OpenShop 1.75 with responsive Bootstrap Themes:
http://www.bigmax.ch - http://www.hitline.info - http://www.openshop.li
Image


User avatar
Newbie

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by OSWorX » Sun Jan 15, 2017 5:30 pm

Ich weiß das Ernie begeisterter Anhänger der 1.5.x Verison ist.
Aber, es ist schade um jede Sekunde die man sich damit beschäftigt wenn man einen neuen Shop erstellen möchte!
OpenCart 2.3.0.2 (aktuell die letzte, stabilste Version) hat alles standardmässig an Board was man benötigt um einen zeitgemäßen Shop bzw. Webseite zu erstellen - binnen 4 Minuten.
Zudem enthält es standardmässig einige Features welche das Shopleben einfacher machen, z.B. die automatische Speicherung aller Suchvorgänge - optiomal für SEO usw.

Von einem Einsatz älterer 2.x Versionen ist absolut abzuraten da darin tw. schwere Fehler enthalten sind (welche sich aber erst im laufenden Betrieb bemerkbar machen!).

Von einigen Kunden weiß ich, dass z.B. einige Provider über deren Installationsroutinen leider immer noch ältere Versionen als 2.3.0.2 automatisch anbieten.
Wenn dem so ist, entweder Provider darauf aufmerksam machen damit der eine aktuelle Version zur Verfügung stellt, oder einfach selber installieren.

1. OpenCart: https://github.com/opencart/opencart/re ... ag/2.3.0.2
2. Dt. Sprache: https://www.opencart.com/index.php?rout ... n_id=18894

Ein Tipp: soll schon die Installation in Deutsch gemacht werden, dann die Dateien aus dem Sprachpaket VOR der Installation auf den Server kopieren (mehr dazu in der readme Datei im Sprachpaket)

Image


User avatar
Newbie

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by IP_CAM » Wed Jan 18, 2017 10:59 am

@OSWorX:
nur, um es absolut klarzustellen, ich will niemanden für OC v.1.5.6.x begeistern, ich will
nur Denen helfen, die bereits diese Version betreiben, und nicht Willens sind, wegen
einem neuen responsiven Thema auch noch gleich den Aerger auf sich zu nehmen, sich mit
technisch auch noch divergierenden V-2 Sub-Versionen auseinandersetzen zu müssen.
Und kaum hat man Eine, mit all den Mod's, die man früher schon hatte, und auch weiterhin
braucht, zum fehlerfreien Laufen gebracht, steht bereits der nächste Umbau vor der Tür,
da ja Fehler in den jeweiligen Vorläufer-Subversionen offiziell sowieso nie mehr gefixt
werden, und man auf zufällige Forum Hilfe angewiesen ist, um Probleme auszumerzen,
oder dann dafür zu zahlen hat.

Aber ich kann nichts dafür, dass es so ist, ich will nur nicht ständig neue Techniken lernen,
des reinen Lernens willen, und heute von etwas überzeugt werden, das morgen schon
nicht mehr gilt. Und ich konnte dazu bislang nicht erkennen, dass in OC-2 auch nur
irgendwas wirklich besser sein soll, technisch, als in der vorigen letzten Version. Also
bleibe ich bei dem, was ich zwischenzeitlich bereits etwas kann und kenne.

Nimm es also nicht persönlich, ich verdiene ja nicht mal was damit. Es soll mir ja Hobby
sein, und bleiben, und dazu bin ich fast schon gezwungen, mich auch dort zu bedienen,
wo's mich nicht noch was kostet. Und wer sowas kostenlos haben will, und das sind ja
auch nicht grad Wenige, für die existiert gar keine Alternative zu OC v.1.5.6.x das
Angebot an Gratis-Erweiterungen ist umfassend, da gibt es nix, was es nicht gibt.

Wobei der Spass-Faktor HIER sowieso zunehmend schwindet, in hohem Masse,
allein schon aufgrund des neuen Site-Upgrades/Layouts, und den diversen damit
verbundenen Problemen. Man hat jetzt ja sogar diese Seiten hier für 1024x768 Pixel
View auf Mobile Modus umgeschaltet, und das stinkt mir ganz gewaltig, kannst es ruhig
glauben.

Und da ich habe, was ich dazu brauche, brauche ich bald gar nichts mehr, als endlich mit
meiner ursprünglich einmal geplanten Arbeit fertig zu werden, und einige fixfertige Shops
auf einige leere URL's zu knallen, um diese loszuwerden, weil ich sie nicht mehr brauche,
als alter Mann ! Und einige davon wurden ja zwischenzeitlich dazu noch ein paar Mal indexiert,
wie die meisten meiner Bilder auch, Du siehst also, ganz so uneigennützig und nur als Fan hier bin ich nämlich auch nicht, denn ich weiss, mein Freund Googie liebt Content.... :D

Geniess mich also besser, als Dich über mich zu grämen, solange es mich noch hier gibt!
Langweilen und ärgern kannst Du Dich dann später wieder immer noch genug. :laugh:

Einfach, um es noch anzumerken! ;)
Ernst

Ernie's OpenShop 1.75 with responsive Bootstrap Themes:
http://www.bigmax.ch - http://www.hitline.info - http://www.openshop.li
Image


User avatar
Newbie

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by OSWorX » Thu Jan 19, 2017 7:01 am

@Ernst: habe damit kein Problem, kenne da deinen Hintergrund.

Es geht aber auch darum (und ich merke es an den Anfragen in meiner Firma) dass man den Leuten zeigt was sie verwenden sollen.
Und was Sinn macht.

Ein sehr wichtiges Kriterium heutzutage ist, dass mittlerweile über 52% der Besucher Webseiten über ihre Mickeymousedisplays (sprich sogenannte Smartphones) aufrufen.
Und es immerhin noch knapp 26% der Besucher sind, welche dann mit diesen Geräten in Webshops Bestellungen machen.
Noch ein Grund für eine aktuelle Shopversion (2.3.x) ist, dass hoffentlich all die Hostinganbieter aussterben die immer noch php-Versionen 5.2.x und 5.3.x anbieten!
Und 2.3.x benötigt nun mal als Minimum 5.4.x

Der nächste Grund ist: Sicherheit
Der hängt ebenso mit der verwendeten php-Version zusammen - siehe z.B. sha1-Verschlüsselung.

Zu guter Letzt ein nicht minder wichtiger Punkt: Suchmaschinen.
Und hier voran Google.
Warum?
Sehr einfach: gerade Google indiziert mit Vorliebe Webseiten welche Responsive sind.

Aja, noch was: wird z.B. php 7.x verwendet, beschleunigt das den Webshop um ca. 10% (mindestens).
Womit wir dann auch gleich bei der Schnelligkeit bzw. dem Seitenaufbau der Webseiten sind.
Auch etwas das gerade Google sehr gerne mag und besser bewertet.

Jetzt aber kann OpenCart 1.5.x mit php-7 nicht betrieben werden!
Womit wir diese Versionen wieder mal ausschließen.

Und noch ein - letzter - Punkt: es wird niemand mehr für 1.5.x etwas entwicklen.
Und wenn doch, dann nur zum dreifachen Preis.

Warum ich das sage?
Weil es immer wieder neue Dienste gibt (sei es Verwaltungsprogramme wie CRM welche in OpenCart eingebunden werden können, Versandanbieter, Zahlunsgdienstleister, usw.).
Und diese verlangen tw. schon als Minimum php 5.4.x wenn nicht sogar 5.6.x
Eine Portierung deiser Bibliotheken zurück auf 1.5.x wird niemand machen - womit diese Dienste nicht verwendet werden können.

Hab da doch noch was: Vorlagen
Auch diese halten mit der Entwicklung mit.
Klar gibt es nicht schlechte für 1.5.x, aber diejenigen für 2.3.x sind eine eigene Klasse.
Auch hier wird niemand mehr etwas für 1.5.x entwicklen.

Und zu guter Letzt: Unterstützung.
Ist eventuell nicht ganz unwichtig jemanden für 1.5.x um Hilfe bitten zu können wenn mal ein Problem auftaucht - auch da wird es immer schwieriger gute Leute zu finden je länger die 2er Versionen am Markt sind.
Und wenn, werden auch solche Leistungen mehr kosten als für 2.x

Also, was macht Sinn?
1x im Jahr mit dem 230er eine Ausfahrt machen und hoffen dass er die Heimfahrt auch noch schafft - ohen Abschleppwagen?
Oder täglich mit einem Gefährt das richtig heizt (im Winter) und kühlt (im Sommer) und ich weiß dass mir so rasch nichts passieren wird.

Image


User avatar
Newbie

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by IP_CAM » Thu Jan 19, 2017 9:14 am

UPDATED !
Jetzt aber kann OpenCart 1.5.x mit php-7 nicht betrieben werden!
ich probierte es mal aus mit PHP7, einfach, um es herauszufinden, und am
Bootstrap 3 Theme kann's ja nicht liegen, dass es mit PHP 7.0.14
und v.1.5.6.5_rc scheinbar trotzdem funzt, bis hin zur eMail, bislang ohne Fehler
und nichts! Zumindest auf einem guten Schweizer Server. :D
Zurzeit hier zu sehen:
http://www.evelo.li

Das wirklich Einzige, was mir bislang auffiel, war, dass dass das LOGO plötzlich
nicht mehr über die 'IF' PHP-Routine abrufbar ist, ich musste sie rausnehmen,
damit es funzt. Kann aber sein, dass ich einfach vor lauter Code nicht mehr sehe,
da ich den aktuellsten Shop auf evelo.li installierte, und den nie ganz fertig
gewordenen Ost-OC-2 Theme killte... :crazy:

Also, nenn mir doch, was nicht funktionieren soll, bislang fand ich nichts.
Ich hab jetzt zudem noch noch OcMod installiert, aus lauter Spass an der Freude... :laugh:
Es existieren ja bereits derlei Funktionen in OC 1.5.6.5, zumindest teilweise, und
unvollständig. Wäre aber offenbar nicht so klug gewesen, all das schon zu
implementieren. ;) Aber ich hab's so halt von Peku's OC-2 für OC 1.5 Theme kopiert.

Sehr einfach: gerade Google indiziert mit Vorliebe Webseiten welche Responsive sind.
Und genau deshalb pushe ich ja die 1.5.6.x Shop-Inhaber, auf Responsive umzusteigen,
und mache so viel Reklame dafür. Und da lob ich mir meine seinerzeitige Entscheidung, meine EFA Webseiten auf 800x600 zu konzipieren, und bin so auch immer durch die Googie Barriere knapp durchgeschlüpft, auch mit dem Inhalt natürlich... ::)

... da wird es immer schwieriger gute Leute zu finden ...
Und es mag ja sein, dass OC 2.3.x in Einigem anders ist als frühere V-2 Subversionen,
oder gar V.1.5.6.x, ,aber solange eine Nachfrage existiert, gibt es immer auch ein
Angebot, viele DEV's sind sehr froh, Arbeit zu haben. Das Gleiche gilt ja auch für PRE -
v2.3.x Versionen, die V.1.5.6.x innen in mehr 'Dingen' ähneln, als man von Aussen glauben
könnte! ;)

Ernst
ocmod_running_in_oc_v_1565.jpg

ocmod_running_in_oc_v_1565.jpg (219.93 KiB) Viewed 523 times


Ernie's OpenShop 1.75 with responsive Bootstrap Themes:
http://www.bigmax.ch - http://www.hitline.info - http://www.openshop.li
Image


User avatar
Newbie

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by OSWorX » Fri Jan 20, 2017 11:19 pm

IP_CAM wrote:Und es mag ja sein, dass OC 2.3.x in Einigem anders ist als frühere V-2 Subversionen,
oder gar V.1.5.6.x ..
Nicht mag, sondern ist.
Schon daran erkennt man dass Du dich bisher nicht richtig damit auseinandersetzt.
Daher, solange der Wissenstand nicht für beide gilt - bleib bei deinem geliebten Uraltsystem.
Aber vertausche nicht andauernd Äpfel mit Birnen.

Image


User avatar
Newbie

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by IP_CAM » Sun Jan 29, 2017 1:19 pm

Du weisst ja, ich bin nur Bastler, und dazu noch Einer aus der Zeit, als man an Autos das Standgas noch mit
einer schraubbaren Leerlaufdüse am Vergaser regulieren konnte. Und was ich hier mache, ist nicht mehr, als
vorhandenes und kostenloses Material und Wissen zu erwerben, um etwas aufzubauen, was meinen persönlichen
Vorstellungen möglichst entspricht. Und ich hatte immer schon einen ausgeprägten 'Allgemein-Geschmack', was
mir Spass machte, machte es vielen Anderen auch, und ich lebte sogar recht lange gut davon.

Und einer der wohl wenigen Gründe, etwas zu wechseln, was ich mittlerweile recht gut kenne und kann, nach drei
Jahren Lehre und gut 150 verschiedenen Test Shops, versehen mit einigen tausend Mod's, wäre doch wohl nur, mit
Fakten konfrontiert zu werden, die einen weiteren Betrieb, entweder aus Gründen der Betriebssicherheit, oder dann,
weil eine Version, z.B. mit PHP v7 nicht länger funktionieren würde, es mittelfristig verunmöglichen könnten. Beides
ist aber nicht der Fall, und bereits getätigte Forum-Meldungen entbehren einfach jeder Grundlage, aus welchen
Gründen sie auch immer gemacht wurden. Fast so ähnlich wie mit Aepfeln und Birnen, könnte man fast sagen ....

Und zudem verfüg(t)en wir über Zubehör-Ressourcen, wie es auf dieser Branche einzigartig sein dürfte. So würde es
eigentlich noch Jahre reichen, bis ich nur mal alles Brauchbare ausprobiert hätte. Aber wo denn gäbe es für einen
möglichen Interessenten eine Shop Site zu betreiben, mit einem Multi-DVD Reservoir an sortiertem OC-Wissen,
das es einem Coder einfach macht, fast jedem Wunsch seines Chef's oder Auftraggebers entsprechen zu
können, ohne erst lange danach zeitraubend im Internet rumsuchen zu müssen.?! Wissen, welches sich nicht
zunehmend und nach und nach in nicht länger gültige URL's und so irgendwann wieder ganz in Nichts auflöst.

Ob ich daher Fan von 1.5.6.5 bin oder nicht, spielt dabei nur eine untergordnete Rolle, wer nämlich nicht FAN von
Etwas ist, was er tut, macht es einfach etwas weniger gut. Und wer schon 12k+ Stunden in Etwas investiert, versucht
wenigstens besser, FAN davon zu bleiben, es ja nicht ganz so einfach, zumindest als Eine|r von hier, längerfristig
auch Einer zu bleiben, das weisst Du so gut wie ich. Das 'Miteinander' hier bewegt sich in sehr engen Grenzen,
und auf sehr sehr dünnem Eis. Ich staune eigentlich länger schon, dass es mich hier noch gibt, zumindest
verglichen mit, was es früher offenbar mal brauchte, um nur noch Geschichte zu sein. Oder dann einfach,
weil es Einem zu stinken beginnt, ständig nur die Erfindung des Rad neu miterleben zu müssen. Aber ich tu ja
auch was dafür, und geb mir Müh dabei, und offenbar nicht ganz ohne Erfolg.

Aber ich hatte auch noch nie Lust, als Gratis-Tester Herstellern zu helfen, Fehler in neuen Produkten zu finden. Das
sollen ruhig die machen, für die das 'immer zuvorderst mit dabei sein' von irgendwelcher Bedeutung ist. Ich verstehe
ja auch zuwenig davon, und bin daher zumindest einen vergleichbaren Mustercode angewiesen, um etwas fertig zu
bringen. Aber eine 'integrierte' Service-Abteilung existiert ja bereits. Und das vielleicht nicht zuletzt, weil man sich,
in Voll-Pro-Art, wohl nicht sehr gern auf immer mit Risiko verbundene externe Kräfte verlassen möchte, wenn's dann
mal erst richtig funzt.

Das zumindest ist, was mir irgendwie im Kopf rumgeht, zumindest vom strikt unternehmerischen
Gesichtspunkt her betrachtet. Und wenn ich mir das -Mag...- Marketing so ansehe, erkenne ich, welches
Potential existiert, es wäre daher gut nachvollziehbar, dass, was heute um/bei/für OC noch gilt, morgen schon
Geschichte wäre..., ob es gefallen würde, oder dann nicht. ::)

Nur, um zu versuchen, zu verhindern, eine Ideologie daraus machen zu wollen. Ich bin nicht Ideologe, und
niemand anderes sollte es sein, es geht alleinig darum, für Alle hier, möglichst etwas davon 'abholen' zu
können, was Einem nützt. Alles Andere wäre nur versäumte Zeit, die man besser dafür verwendet, einfach
FAN zu sein, und auch zu helfen, solange man Lust daran empfindet, für welche Version auch immer!

Mir gefällt es einfach, feststellen zu dürfen, dass mein Ding täglich etwas mehr kann, und ich etwas dazu gelernt habe.
Auch wenn ich dazu Erweiterungen brauche, wie übrigens Alle Anderen auch, ganz unabhängig davon, welche Version
man einsetzt. Nur habe ich einfach eine sehr viel grössere kostenlose Auswahl, verglichen Mit v2, aber sonst
unterscheidet uns nach Aussen hin ja wenig, auch mein Shop ist blond, hat ein einstellbares Corset, und trägt
High Heels, also lass mich doch besser einfach damit spielen, ich tu's ja sowieso, so oder so ! :D
Und der Boss würde mich schon stoppen, sollte es ihm zuviel werden, ohne dass ihm jemand hilft...

Und zudem, von wegen uralt, die OC v.1.5.6.5_rc hatte den gleichen Release Monat wie OC v.2.0.1.0
Um damit diese Topic hier von meiner Seite abzuschliessen. ;)
Ernst

Ernie's OpenShop 1.75 with responsive Bootstrap Themes:
http://www.bigmax.ch - http://www.hitline.info - http://www.openshop.li
Image


User avatar
Newbie

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland
Who is online

Users browsing this forum: No registered users and 10 guests